eCos Reference Manual
Prev | Chapter 38. TCP/IP Library Reference | Next

# shutdown

    SHUTDOWN(2)                   System Calls Manual                  SHUTDOWN(2)

    NAME
         shutdown - shut down part of a full-duplex connection

    SYNOPSIS
         #include <sys/types.h>
         #include <sys/socket.h>

         int
         shutdown(int s, int how);

    DESCRIPTION
         The shutdown() call causes all or part of a full-duplex connection on the
         socket associated with s to be shut down.  If how is SHUT_RD, further
         receives will be disallowed.  If how is SHUT_WR, further sends will be
         disallowed.  If how is SHUT_RDWR, further sends and receives will be dis-
         allowed.

    RETURN VALUES
         A 0 is returned if the call succeeds, -1 if it fails.

    ERRORS
         The call succeeds unless:

         [EINVAL]           how is not SHUT_RD, SHUT_WR, or SHUT_RDWR.

         [EBADF]            s is not a valid descriptor.

         [ENOTSOCK]         s is a file, not a socket.

         [ENOTCONN]         The specified socket is not connected.

    SEE ALSO
         connect(2), socket(2)

    HISTORY
         The shutdown() function call appeared in 4.2BSD.  The how arguments used
         to be simply 0, 1, and 2, but now have named values as specified by
         X/Open Portability Guide Issue 4 (``XPG4'').

    BSD                              June 4, 1993                              BSD

Prev | Home | Next
send | Up | socket